# Troubleshooting Guide for OpenVINO™ Installation & Configuration {#openvino_docs_get_started_guide_troubleshooting}

@sphinxdirective

.. toctree::
   :maxdepth: 2
   :hidden:
   
   Issues & Solutions <openvino_docs_get_started_guide_troubleshooting_issues>
   Troubleshooting Steps <openvino_docs_get_started_guide_troubleshooting_steps>

@endsphinxdirective

@sphinxdirective

.. _troubleshooting guide for install:

@endsphinxdirective

This guide provides general troubleshooting steps and solutions to possible issues that can be encountered while installing and configuring OpenVINO™.

The [Issues & Solutions](./troubleshooting-issues.md) page lists common installation and configuration errors, and their possible solutions. If you encountered a specific error while installing or configuring OpenVINO, check this page to see if there is a solution.

The [Troubleshooting Steps](./troubleshooting-steps.md) page provides a set of instructions for diagnosing and resolving installation and configuration issues. If you had problems during installation and configuration, walk through these steps to try and resolve your issue.
