# Resources {#resources}


@sphinxdirective

.. toctree::
   :maxdepth: 1
   :hidden:

   openvino_docs_performance_benchmarks
   openvino_ir

.. toctree::
   :maxdepth: 1
   :hidden:

   openvino_docs_OV_UG_supported_plugins_Supported_Devices
   openvino_supported_models
   openvino_docs_MO_DG_prepare_model_Supported_Frameworks_Layers

.. toctree::
   :maxdepth: 1
   :hidden:

   openvino_docs_OV_Glossary
   openvino_docs_Legal_Information
   openvino_docs_telemetry_information
   openvino_docs_MO_DG_TensorFlow_Frontend
   Case Studies <https://www.intel.com/openvino-success-stories>


@endsphinxdirective


This section includes a variety of reference information focusing mostly on describing OpenVINO 
and its proprietary model format, OpenVINO IR.


[Supported Devices](../OV_Runtime_UG/supported_plugins/Supported_Devices.md) is compatibility information about supported hardware accelerators.

[Legal Information](../Legal_Information.md) has trademark information and other legal statements.

[Available Operation Sets](../ops/opset.md) is a list of supported operations and explanation of supported capabilities.

[Broadcast Rules for Elementwise Operations](../ops/broadcast_rules.md) explains the rules used for to support an arbitrary number of dimensions in neural nets.

Links to [articles](https://www.intel.com/openvino-success-stories) about real-world examples of OpenVINO™ usage.

[Release Notes](https://software.intel.com/content/www/us/en/develop/articles/openvino-relnotes.html) contains change logs and notes for each OpenVINO release.
